#!/bin/sh

# Author: GNot
# URL: http://www.g-loaded.eu/2005/11/10/add-files-to-totem-playing-list-from-nautilus/
# Version: 0.3
# License: GPL
# Requires: Zenity
#
# Usage: Put it in ~/.gnome2/nautilus-scripts, set the 
# executable attribute and use from within Nautilus:
# right click -> Scripts
#
# This Nautilus script adds the selected multimedia files to
# the Totem playing list. Multimedia file extensions are
# contained in an array, which you can edit according to
# needs.

# --- Edit Begin ---
# Add other multimedia file extensions here:
Supported=( mp3 ogg mpc aac wav ac3 avi ogm mpg mpeg wmv rm ram vob asf )
# --- Edit End ---

# If no arguments
if [ -z "$@" ]; then
	zenity --error --text="This is a nautilus script. Select some multimedia files."
	exit 1
fi

# Add multimedia files to Totem Playing List
for arg
do
	Xten=${arg##*.};
	AddIt=0
	
	for (( i = 0 ; i < ${#Supported[@]} ; i++ ))
	do
    	if [ "$Xten" = "${Supported[$i]}" ]; then
    		AddIt=1
    		break
    	fi
    done
	
	if [ $AddIt -gt 0 ]; then
		totem --enqueue "$arg" &
	else
		zenity --error --text="File $arg is not a multimedia file"
		exit 1
	fi
	
done

exit 0
